bts-srcpkg(1)

NAME
bts-srcpkg - query bugs.debian.org for bugs in a source package

SYNOPSIS
bts-srcpkg [-a] [-f] [-h] [-m] [-c] [-t] [source package name]

DESCRIPTION
bts-srcpkg queries the Debian BTS for bugs in a source package.

The source package name can be passed as a command line parameter. By default, it is read from debian/control in the current directory.

If you are in a Debian source directory, you can just type bts-srcpkg to get a list of the open bugs of the package you are working on.

ARGUMENTS

source package name
    Name of the source package to query bugs for. By default, the name is taken from debian/control in the current directory.

OPTIONS

-a Show all bugs of a source package.
    Also show done or archived bugs. By default, only open bugs are shown.

-f Show all fields of a bug.
    Also show less relevant fields. By default, only bug_num, originator, subject, severity, forwarded, and tags are shown.

-c Disable colored output.
    Don't colorize output. By default, output uses colors, unless STDOUT is not a tty or the environment variables CLICOLOR or NO_COLOR are set to false or true, respectively.

-t Disable title.
    Don't output the title with the packagename. Might be convenient when called from another script.

-h  Show this help.

-m  Show full manpage.

SEE ALSO

bts(1)
https://www.debian.org/Bugs/
https://wiki.debian.org/DebbugsSoapInterface

COPYRIGHT AND LICENSE
Copyright 2011, 2016, 2021, 2022, 2026, gregor herrmann <gregoa@debian.org>

This program is free software. You may distribute it under the same terms as Perl.